> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/using-the-graphql-api/mutations/dealcreate.md).

# dealCreate

Create a deal

**Scope required:** standard:write

For a complete list of input attributes see the [DealAttributes](/developer/api-reference/types/dealattributes.md) type

```graphql
mutation dealCreate ($attributes: DealAttributes!) {
  dealCreate (attributes: $attributes) {
      deal {
        accountId
        amount
        closeDate
        code
        contactId
        createdAt
        currencyId
        customFieldsData
        dealStageId
        description
        entityId
        hasCustomFields
        id
        leadSourceId
        name
        notForRevenue
        ownerUserId
        pipeline
        probability
        renewalCurrentAmount
        renewalMrr
        renewalNeedsAttention
        stageDescription
        updatedAt
        viaPortal
      }
      errors
  }
}
```

## Arguments

```json
{
  "attributes": {
    "accountId": "456123",
    "name": "",
    "code": "",
    "ownerUserId": "456123",
    "amount": "1.00",
    "probability": 123,
    "description": "",
    "closeDate": "2022-06-01",
    "dealStageId": "456123",
    "leadSourceId": "456123",
    "contactId": "456123",
    "kind": "DealKind",
    "notForRevenue": true,
    "viaPortal": true,
    "currencyId": "456123",
    "origin": "DealOrigin"
  }
}
```

| Name       | Type                                                               | Description |
| ---------- | ------------------------------------------------------------------ | ----------- |
| attributes | [DealAttributes](/developer/api-reference/types/dealattributes.md) |             |

## Response

| Name   | Type                                           | Description |
| ------ | ---------------------------------------------- | ----------- |
| deal   | [Deal](/developer/api-reference/types/deal.md) |             |
| errors | List (String)                                  |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/dealcreate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
